# Class DownloadAbAttr

Download raises either the Attack stat or Special Attack stat by one stage depending on the foe's currently lowest defensive stat: it will raise Attack if the foe's current Defense is lower than its current Special Defense stat; otherwise, it will raise Special Attack.

#### See

#### Hierarchy (view full)

- PostSummonAbAttr
  - DownloadAbAttr

- Defined in src/data/ability.ts:1659

#####
Index

### Constructors

constructor

### Properties

enemyCountTally
enemyDef
enemySpDef
showAbility
stats

### Methods

addCondition
apply
applyPostSummon
getCondition
getTriggerMessage

## Constructors

### constructor

- new DownloadAbAttr(showAbility?): DownloadAbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns DownloadAbAttr

  Inherited from PostSummonAbAttr.constructor

  - Defined in src/data/ability.ts:129

## Properties

### `Private` enemyCountTally

enemyCountTally: number

- Defined in src/data/ability.ts:1662

### `Private` enemyDef

enemyDef: number

- Defined in src/data/ability.ts:1660

### `Private` enemySpDef

enemySpDef: number

- Defined in src/data/ability.ts:1661

### showAbility

showAbility: boolean

Inherited from PostSummonAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stats

stats: BattleStat []

- Defined in src/data/ability.ts:1663

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostSummonAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostSummonAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostSummon

- applyPostSummon(pokemon, passive, args): boolean

- Checks to see if it is the opening turn (starting a new game), if so, Download won't work. This is because Download takes into account vitamins and items, so it needs to use the BattleStat and the stat alone.

  #### Parameters

  - pokemon: default

    Pokemon that is using the move, as well as seeing the opposing pokemon.

  - passive: boolean

    N/A

  - args: any[]

    N/A

  #### Returns boolean

  Returns true if ability is used successful, false if not.

  Overrides PostSummonAbAttr.applyPostSummon

  - Defined in src/data/ability.ts:1674

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostSummonAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostSummonAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137